> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/polygon/submit-transactions/private-transactions.md).

# Private Transactions

Use this endpoint to send a private transaction on Polygon Mainnet using bloXroute's BDN. Transactions are protected from front-running and MEV. The endpoint returns the transaction hash as a response.

#### Access & Payment

Access to Polygon Private Txs requires either a prepaid balance.

Top up a prepaid balance via the [bloXroute Portal](https://portal.bloxroute.com). Usage is tracked per transaction and costs are deducted automatically based on volume-based pricing tiers. See pricing here.

| Tier        | Min monthly txs | Max monthly txs | Reverted/Attempted/Non-landed rate | Landed rate |
| ----------- | --------------- | --------------- | ---------------------------------- | ----------- |
| 0 to 2.5k   | 0               | 2,500           | $0.060                             | $0.240      |
| 2.5k to 10k | 2,500           | 10,000          | $0.030                             | $0.120      |
| 10k to 50k  | 10,000          | 50,000          | $0.025                             | $0.100      |
| 50k to 100k | 50,000          | 100,000         | $0.020                             | $0.080      |
| >100k       | 100,000+        | Custom          | Custom                             | Custom      |

#### Submission Endpoint

* **Method:** `polygon_private_tx`
* **Cloud API Endpoint:** `api.blxrbdn.com`
* **Request type:** `HTTPS, WSS`

### Parameters

<table><thead><tr><th width="279.3333333333333">Parameter</th><th width="217">Description</th><th>Instructions &#x26; Notes</th></tr></thead><tbody><tr><td><code>transaction</code></td><td>Raw transactions bytes without <strong><code>0x</code></strong> prefix.</td><td>[Required]</td></tr><tr><td><code>backrunme_reward_address</code></td><td>Wallet address to receive BackRunMe rewards</td><td>[Optional]</td></tr></tbody></table>

### **Examples**

{% tabs %}
{% tab title="HTTPS POST" %}

```bash
curl -X POST https://api.blxrbdn.com/ \
  -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "polygon_private_tx",
    "params": {
      "transaction": "f86b0184...e0b58219"
    }
  }'
```

{% endtab %}

{% tab title="wscat WS" %}

```bash
wscat -c wss://api.blxrbdn.com/ws
--header 'Authorization: '
-x '{"jsonrpc":"2.0","id":1,"method":"polygon_private_tx","params":{"transaction":"f86b0184...e0b58219"}}'
```

{% endtab %}
{% endtabs %}

#### **Response:**

```json
{
  "jsonrpc": "2.0",
  "id": "1",
  "result": {
    "txHash": "ffd59870844e5...bfa54a69"
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/polygon/submit-transactions/private-transactions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
